安全工具 | Apache ActiveMQ RCE(CNVD-2023-69477)漏洞利用工具

admin 2024年2月15日17:34:40评论17 views字数 634阅读2分6秒阅读模式

0x01 漏洞概述

Apache ActiveMQ 中存在远程代码执行漏洞,Apache ActiveMQ在默认安装下开放了61616服务端口,而该端口并没有对传入数据进行适当的过滤,从而使攻击者能够构造恶意数据以实现远程代码执行。

0x02 影响范围

Apache ActiveMQ < 5.18.3Apache ActiveMQ < 5.17.6Apache ActiveMQ < 5.16.7Apache ActiveMQ < 5.15.16 

0x03 利用工具

GitHub:https://github.com/0x00l/ActiveMQ-RCE
用法:java -jar ActiveMQ-RCE.jar target poc源码里面有另外两条利用链,工具用的第一条利用链.

安全工具 | Apache ActiveMQ RCE(CNVD-2023-69477)漏洞利用工具

0x04 修复建议 

临时缓解方案

通过网络ACL策略限制访问来源,例如只允许来自特定IP地址或地址段的访问请求。

升级修复方案

目前官方已通过限制反序列化类只能为Throwable的子类的方式来修复此漏洞。

官方下载地址:https://github.com/apache/activemq/tags
建议受影响用户可以更新到:Apache ActiveMQ >= 5.18.3Apache ActiveMQ >= 5.17.6Apache ActiveMQ >= 5.16.7Apache ActiveMQ >= 5.15.16

END

原文始发于微信公众号(杂七杂八聊安全):安全工具 | Apache ActiveMQ RCE(CNVD-2023-69477)漏洞利用工具

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年2月15日17:34:40
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   安全工具 | Apache ActiveMQ RCE(CNVD-2023-69477)漏洞利用工具https://cn-sec.com/archives/2187330.html

发表评论

匿名网友 填写信息